public class T3Purpose {
	private int partReference;
	private String clause;
	private Clause clauseStructured;
	private String purposeText;

	public int getPartReference() {
		return partReference;
	}

	public void setPartReference(int partReference) {
		this.partReference = partReference;
	}

	public String getClause() {
		return clause;
	}

	public void setClause(String clause) {
		this.clause = clause;
		clauseStructured = new Clause(clause);
	}

	public String getPurposeText() {
		return purposeText;
	}

	public void setPurposeText(String purposeText) {
		this.purposeText = purposeText;
	}

	public Clause getClauseStructured() {
		return clauseStructured;
	}

	public void setClauseStructured(Clause clauseStructured) {
		this.clauseStructured = clauseStructured;
	}

	@Override
	public String toString() {
		return "T3Purpose [partReference=" + partReference + ", clause="
				+ clause + ", purposeText=" + purposeText + "]";
	}

}
